<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="shop">
            <h2><span>Shop</span> {{ shop.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ shop.name }}</span>
                </dd>
                <dt><span>Vendor Id</span></dt>
                <dd>
                    <span>{{ shop.vendorId }}</span>
                </dd>
                <dt><span>Email</span></dt>
                <dd>
                    <span>{{ shop.email }}</span>
                </dd>
                <dt><span>Open Time</span></dt>
                <dd>
                    <span>{{ shop.openTime }}</span>
                </dd>
                <dt><span>Close Time</span></dt>
                <dd>
                    <span>{{ shop.closeTime }}</span>
                </dd>
                <dt><span>Mobile</span></dt>
                <dd>
                    <span>{{ shop.mobile }}</span>
                </dd>
                <dt><span>Address</span></dt>
                <dd>
                    <span>{{ shop.address }}</span>
                </dd>
                <dt><span>Sub District</span></dt>
                <dd>
                    <span>{{ shop.subDistrict }}</span>
                </dd>
                <dt><span>District</span></dt>
                <dd>
                    <span>{{ shop.district }}</span>
                </dd>
                <dt><span>Province</span></dt>
                <dd>
                    <span>{{ shop.province }}</span>
                </dd>
                <dt><span>Country</span></dt>
                <dd>
                    <span>{{ shop.country }}</span>
                </dd>
                <dt><span>Post Code</span></dt>
                <dd>
                    <span>{{ shop.postCode }}</span>
                </dd>
                <dt><span>Latitude</span></dt>
                <dd>
                    <span>{{ shop.latitude }}</span>
                </dd>
                <dt><span>Longitude</span></dt>
                <dd>
                    <span>{{ shop.longitude }}</span>
                </dd>
                <dt><span>Active</span></dt>
                <dd>
                    <span>{{ shop.active }}</span>
                </dd>
                <dt><span>Bill Info</span></dt>
                <dd>
                    <div *ngIf="shop.billInfo">
                        <a [routerLink]="['/shop-bill-info', shop.billInfo?.id, 'view']">{{ shop.billInfo?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/shop', shop.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
